package org.fouram.service;

import java.util.List;

import org.fouram.core.base.service.BaseService;
import org.fouram.core.plugin.weixin.cp.util.WXCpUserUtil;
import org.fouram.entity.WxUser;
import org.springframework.stereotype.Service;

import me.chanjar.weixin.cp.bean.WxCpUser;

@Service
public class WxUserService extends BaseService {

	public void saveUsers() throws Exception {
		List<WxCpUser> users = WXCpUserUtil.listAllUser();
		WxUser wxUser = null;
		for (WxCpUser user : users) {
			wxUser = WxUser.builder().userId(user.getUserId()).name(user.getName()).departId(user.getDepartIds()[0])
					.build();
			save("WxUserMapper.save", wxUser);
		}
	}
}
